## Get logs and status from instance `client.workflows.instances.get(stringworkflowName, stringinstanceId, InstanceGetParamsparams, RequestOptionsoptions?): InstanceGetResponse` **get** `/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}` Retrieves logs and execution status for a specific workflow instance. ### Parameters - `workflowName: string` - `instanceId: string` - `params: InstanceGetParams` - `account_id: string` Path param - `order?: "asc" | "desc"` Query param: Step ordering: "asc" (default, oldest first) or "desc" (newest first). - `"asc"` - `"desc"` - `simple?: "true" | "false"` Query param: When true, omits step details and returns only metadata with step_count. - `"true"` - `"false"` ### Returns - `InstanceGetResponse` - `end: string | null` - `error: Error | null` - `message: string` - `name: string` - `output: string | number` - `string` - `number` - `params: unknown` - `queued: string` - `start: string | null` - `status: "queued" | "running" | "paused" | 5 more` - `"queued"` - `"running"` - `"paused"` - `"errored"` - `"terminated"` - `"complete"` - `"waitingForPause"` - `"waiting"` - `step_count: number` - `steps: Array` - `UnionMember0` - `attempts: Array` - `end: string | null` - `error: Error | null` - `message: string` - `name: string` - `start: string` - `success: boolean | null` - `config: Config` - `retries: Retries` - `delay: string | number` Specifies the delay duration. - `string` - `number` - `limit: number` - `backoff?: "constant" | "linear" | "exponential"` - `"constant"` - `"linear"` - `"exponential"` - `timeout: string | number` Specifies the timeout duration. - `string` - `number` - `end: string | null` - `name: string` - `output: string | null` - `start: string` - `success: boolean | null` - `type: "step"` - `"step"` - `UnionMember1` - `end: string` - `error: Error | null` - `message: string` - `name: string` - `finished: boolean` - `name: string` - `start: string` - `type: "sleep"` - `"sleep"` - `UnionMember2` - `trigger: Trigger` - `source: string` - `type: "termination"` - `"termination"` - `UnionMember3` - `end: string` - `error: Error | null` - `message: string` - `name: string` - `finished: boolean` - `name: string` - `start: string` - `type: "waitForEvent"` - `"waitForEvent"` - `output?: string` - `success: boolean | null` - `trigger: Trigger` - `source: "unknown" | "api" | "binding" | 2 more` - `"unknown"` - `"api"` - `"binding"` - `"event"` - `"cron"` - `versionId: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const instance = await client.workflows.instances.get('x', 'x', { account_id: 'account_id' }); console.log(instance.end); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "end": "2019-12-27T18:11:19.117Z", "error": { "message": "message", "name": "name" }, "output": "string", "params": {}, "queued": "2019-12-27T18:11:19.117Z", "start": "2019-12-27T18:11:19.117Z", "status": "queued", "step_count": 0, "steps": [ { "attempts": [ { "end": "2019-12-27T18:11:19.117Z", "error": { "message": "message", "name": "name" }, "start": "2019-12-27T18:11:19.117Z", "success": true } ], "config": { "retries": { "delay": "string", "limit": 0, "backoff": "constant" }, "timeout": "string" }, "end": "2019-12-27T18:11:19.117Z", "name": "name", "output": "output", "start": "2019-12-27T18:11:19.117Z", "success": true, "type": "step" } ], "success": true, "trigger": { "source": "unknown" }, "versionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```